# Savings plan events

Savings plan events

Endpoint: POST Savings plan events
Version: 1.95.0

## Request fields (application/json):

  - `id` (string, required)
    Event unique identifier

  - `created_at` (string, required)
    Date and time when the event was created. [RFC 3339-5](https://datatracker.ietf.org/doc/html/rfc3339#section-5.6), [ISO8601 UTC](https://www.iso.org/iso-8601-date-and-time-format.html)

  - `type` (string, required)
    Event type
    Enum: "SAVINGS_PLAN.CREATED", "SAVINGS_PLAN.CANCELLED"

  - `object` (object, required)

  - `object.id` (string, required)

  - `object.user_id` (string, required)
    User unique identifier.

  - `object.account_id` (string, required)
    Account unique identifier.

  - `object.type` (string, required)
    Type of the Savings plan.
* PORTFOLIO - 
* INSTRUMENT -
    Enum: "PORTFOLIO", "INSTRUMENT"

  - `object.cash_amount` (string, required)

  - `object.currency` (string, required)
    Alphabetic three-letter [ISO 4217](https://www.iso.org/iso-4217-currency-codes.html) currency code.
* EUR - Euro
* GBP - Pound Sterling
    Enum: "EUR", "GBP"

  - `object.start_date` (string, required)
    First date of the savings plan execution in YYYY-MM-DD format.

  - `object.period` (string, required)
    Unit of time. 
* WEEK - 
* MONTH - 
* YEAR -
    Enum: "WEEK", "MONTH", "YEAR"

  - `object.interval` (integer, required)
    Number of periods between executions

  - `object.created_at` (string, required)
    Date and time when the resource was created. [RFC 3339-5](https://datatracker.ietf.org/doc/html/rfc3339#section-5.6), [ISO8601 UTC](https://www.iso.org/iso-8601-date-and-time-format.html)

  - `object.updated_at` (string, required)
    Date and time when the resource was last updated. [RFC 3339-5](https://datatracker.ietf.org/doc/html/rfc3339#section-5.6), [ISO8601 UTC](https://www.iso.org/iso-8601-date-and-time-format.html)

  - `object.name` (string)
    Savings plan name

  - `object.instrument_id` (any)
    Instrument unique identifier.

  - `object.instrument_id_type` (string)
    The type of the ID used in the request.
* ISIN - International Securities Identification Number
* WKN - German securities identification code
    Enum: "ISIN", "WKN"

  - `object.status` (string)
    Status of a Savings Plan. 
* ACTIVE - 
* CANCELLED -
    Enum: "ACTIVE", "CANCELLED"

  - `webhook_id` (string, required)
    Webhook unique identifier.


## Response 200 fields
